[Python-modules-commits] [willow] 02/18: Add repack script to remove non-DFSG compliant ICC profiles from rotated images.

Christopher Stuart Hoskin mans0954 at moszumanska.debian.org
Sun Jan 29 18:11:23 UTC 2017


This is an automated email from the git hooks/post-receive script.

mans0954 pushed a commit to branch master
in repository willow.

commit 744f58c9eb79d359ef3073058ef338732bcbc5cc
Author: Christopher Hoskin <mans0954 at debian.org>
Date:   Sun Jan 29 10:07:45 2017 +0000

    Add repack script to remove non-DFSG compliant ICC profiles from rotated images.
---
 debian/changelog    |  4 ++-
 debian/repack.local | 12 +++++++
 debian/repack.stub  | 91 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/watch        |  5 +--
 4 files changed, 109 insertions(+), 3 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 87e660c..3900b42 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 willow (0.3.1-2) UNRELEASED; urgency=medium
 
-  * Switch maintainer to my Debian identity 
+  * Switch maintainer to my Debian identity
+  * Add repack script to remove non-DFSG compliant ICC profiles from rotated
+    images. 
 
  -- Christopher Hoskin <mans0954 at debian.org>  Sun, 29 Jan 2017 10:00:22 +0000
 
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..bccf0bb
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if [ ! -f /usr/bin/convert ]
+then
+	echo "This repack script requires the convert program."
+	echo "Please install the graphicsmagick-imagemagick-compat package and try again."
+	exit 1
+fi
+
+for i in `seq 2 8`; do
+convert tests/images/orientation/landscape_$i.jpg +profile "icc" tests/images/orientation/landscape_$i.jpg
+done
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100644
index 0000000..26d6a9a
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=head1 COPYRIGHT AND LICENSE
+
+Copyright 2009, Ryan Niebur <ryan at debian.org>
+
+This program is free software; you can redistribute it and/or modify it
+under the same terms as Perl itself.
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -x /usr/share/pkg-perl-tools/repack.sh ]; then
+        REPACK_SH='/usr/share/pkg-perl-tools/repack.sh'
+    elif [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git/plain/scripts/repack.sh"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/watch b/debian/watch
index 665837b..e9b6d8e 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,4 +1,5 @@
 # please also check http://pypi.debian.net/Willow/watch
 version=3
-opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
-http://pypi.debian.net/Willow/Willow-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
\ No newline at end of file
+opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/willow-$1\.tar\.gz/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg" \
+  https://github.com/wagtail/Willow/tags .*/v?(\d\S+)\.tar\.gz \
+debian sh debian/repack.stub

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/willow.git



More information about the Python-modules-commits mailing list